# GLPI SOC Case Management Plugin

## Overview
This plugin provides a specialized case management system for Security Operations Center (SOC) teams working with GLPI. It enables efficient creation and tracking of security cases with seamless integration into GLPI's change and request management workflows.

## Features
- Case creation and management dashboard
- Integration with GLPI's ticketing system
- Case timeline view
- Severity classification system
- Attachment handling for evidence
- SOC-specific KPI dashboard and reporting
- Role-based access control
- Search and filtering capabilities

## Requirements
- GLPI >= 10.0.0
- PHP >= 7.4.0

## Installation
1. Download the ZIP file
2. Extract it in your GLPI plugins directory (`glpi/plugins/`)
3. Rename the directory to "soc" if needed
4. Navigate to Setup > Plugins in your GLPI web interface
5. Install and activate the plugin

## Configuration
After activation, you can configure the plugin by:
1. Setting up access rights in Administration > Profiles
2. Customizing the dashboard widgets if needed

## Usage
- Access the SOC dashboard from the Management menu
- Create new security cases with appropriate severity levels
- Link cases to tickets and changes for comprehensive incident management
- Track case progress through the timeline view
- Generate reports on SOC team performance

## License
GPL-3.0+

## Author
Your Organization